BANK WOORI SAUDARA - Bug #2046

[ESS-Overtime] Autofill
03/06/2023 04:25 PM - Johanes Christian Kurni

Status: Closed Start date: 03/06/2023
Priority: High Due date: 03/10/2023
Assignee: Johanes Christian Kurni % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 6.00 hours
Description
Dear Azid,
Mohon bantuannya, untuk membuatkan validasi sebagai berikut:
- KETENTUAN / AKSES PENGAJUAN :
. Payrall LEMBUR INSENTIF
PayrollGrade PayrollGradeDescription
Class HARIKERIA  HARILIBUR HARI KERIA  HARI LIBUR
00 PRESIDENT COMMISSIONER (%) N N N N
fas COMMISSIONER ‘oo N N N N
Mo PRESIDENT DIRECTOR 'os N N N N
M5 DIRECTOR 'os N N N N
20 1/ EXECUTIVE VICE PRESIDENT Mo M N ¥ N
20 1/ EXECUTIVE VICE PRESIDENT "5 N N ¥ N
25 I / SEMIOR VICE PRESIDENT "0 M N ¥ N
25 I / SENIOR VICE PRESIDENT "5 N N ¥ N
30 H /VICE PRESIDENT "0 N N ¥ N
30 H /VICE PRESIDENT "5 N N ¥ N
[35 G / JUNICOR VICE PRESIDENT "0 N N ¥ N
35 G / JUNICOR VICE PRESIDENT "5 N N ¥ N
fa0 F / SENIOR MANAGER "0 N N ¥ N
fa0 F / SENIOR MANAGER 20 N N ¥ N
£ E, MANAGER "0 N N ¥ N
£ E, MANAGER "5 N N ¥ N
Moo D/ JUNICR MANAGER 20 N N ¥ N
M52 D/ PJS MANAGER "5 N N ¥ N
(54 €/ PI5 IR, MANAGER 50 N N ¥ N
55 €/ SENIOR STAFF 35 ¥ ¥ ¥ ¥
[eo B/ STAFF "3 ¥ ¥ ¥ ¥
e A/ JUNIOR STAFF "3 ¥ ¥ ¥ ¥
[70 CONSULTANT "ap N N N N
[75 NON GRADE "ap N N N N

MinovaES Menu
& Main
~ [= My Werkplace
» [ My Report
Start Date: Start Time:
» [ My Staff Report
Footer
] Personal Data

{] Personal iden... 8 Attachment
] skill T Delete @ Download
Fl staff Ramiicit
Jika kayawan memilih tgl yang bukan ketentuannya maka ada validasi tidak bisa mengajukan lembur dan jika karyawan memilih tgl
sesuai ketentuannya maka varian nya autofill sesuai dengan tgl yang dipilih.

Port: http://bws.minovaiscloud.com:31128/
Server: 45.251.75.66

DB: MinovaES_BWS_DevProd

Menu : Request > Time Management > Overtime

History

#1 - 03/07/2023 03:50 PM - Johanes Christian Kurni
Dear Azid,

Mohon ditambahkan kondisi jika day type nya OFF tidak membaca validasi "overtime harus di dalam range attendance dan 30 menit setelah waktu
kerja berakhir" sesuai dengan ketentuannya

#2 - 03/08/2023 04:56 PM - M Azid Wahyudi

dear jo , udah bisa di test ya , jangan lupa test skenario semuanya
package :

- update bizproc (beforesubmit)

- cutparam (WFTMGrade, WFTMOVTTIMEVLD,WFTMOVTVALVARIANT)
- SMESSAGECATALOG (TMVALOVTVARIANT) // jika ingin merubah kata2 ini table dan messagelDnya

makasih

#3 - 03/08/2023 05:03 PM - Kezia Pawitra Yulianti
- Due date set to 03/10/2023
- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to Johanes Christian Kurni

#4 - 03/09/2023 03:28 PM - Johanes Christian Kurni
- File clipboard-202303091522-0ctqb.png added

- File clipboard-202303091523-b0dme.png added

- File clipboard-202303091527-yzfja.png added

- Status changed from QA Test to Assigned

- Assignee changed from Johanes Christian Kurni to M Azid Wahyudi

Dear Azid,
‘_3; WIN-PHETIO259]H.MinovaES_BWS_DevProd - dbo.PHRPADDD3 - Microsoft SQL Server Management Studio Quick Launch Rl - fur x
dle  Edit  View Project  Query Designer Tools  SQLPrompt  Window  Help
i@-o|f-a-2 W Biewvowey BEE KDL F 0|20 - B | 5 conven "m"ﬁ'szWl|ChangeTypev";{}l|[{:|§g*§=f:
IR1 | b e | | BRI,
Connect = i "’ﬁ c, e Column Alias Table QOutp... Sort Type Sort Order Filter Or... ar... or... ~
=] Tables (filtered) - StartDate PHRPADDO3
System Tables EndDate PHRPADDD3
FileTables > EmployeelD PHRPADDD3
EH dbo.CPHRPAEVALODED
BT dbo.CPHRPAEVALOOGT BankType PHRPAD0D3
EH dbo.CPHRPAEVALDDG2 Bankéccount PHRPADDD3
ER dbo.PHRPADDDT BankAccount... PHRPADDO3
EH dbo.PHRPADDDZ
BankTypeNP PHRPADDD3 k]
BT dbo.PHRPAO03 ankiype
ER dbo.PHRPADID3_BAK BankAccount... PHRPADDO3
EH dbo.PHRPADDD4 BankAccount... PHRPADDD3
EH dbo.PHRPAOODS PayrollType PHRPADDD3
R dbo.PHRPAO00G P; 1A PHRPADDD3
ER dbo.PHRPADDDT ayrofiares .
B dhn PHRPADOCE intNP - BankAccount... PayrollType PayrollArea PayrollClass PayrollGrade Currency TaxStatus NPWP Motes CreateBy
FA dbo.PHRPA0DDY -
ER dbo.PHRPADDTD 4 49 Merty Bella Ega... 01 ] 30 50 IDR TK 368897344432000 jo
ER dbo.PHRPADDTT ' NULL NULL NULL NULL NULL NULL NULL MNULL MULL NULL
EH dbo.PHRPADDTZ
FA dbo.PHRPADDT3
EH dbo.PHRPADDT4
B dbo.PHRPAOD1S
EH dbo.PHRPADD1E
ER dbo.PHRPAODTT
EH dbo.PHRPADD1E
B dbo.PHRPAOD1S
FA dbo.PHRPAOD20
EH dbe.PHRPADDZT
ER dho.PHRPAOD22 “fe >
< 3> 1 of 1 3
http://bws.minovaiscloud.com:31128/

KETENTUAN / AKSES PENGAJUAN :

T Payroll LEMBUR INSENTIF
PayrollGrade PayrollGradeDescription
Class HARIKERIA  HARILIBUR | HARIKERIA HARILIBUR
(i) PRESIDENT COMMISSIONER () M N N N
o5 COMMISSIONER oo M N N N
Mo PRESIDENT DIRECTOR 'os M N N N
15 DIRECTOR 'os M N N M
20 1/ EXECUTIVE VICE PRESIDENT 10 M N ¥ M
20 1/ EXECUTIVE VICE PRESIDENT 15 M N ¥ N
25 | / SENIOR VICE PRESIDENT "0 M N ¥ N
25 | / SENIOR VICE PRESIDENT f1s M N ¥ N
130 H / VICE PRESIDENT "0 N N ¥ N
30 H / VICE PRESIDENT "5 M N ¥ N [
35 G/ JUNIOR VICE PRESIDENT "0 M N ¥ N
35 G / JUMIOR VICE PRESIDENT "5 M N ¥ M
l10 F/ SENIOR MANAGER "0 M N ¥ M
l10 F / SENIOR MANAGER 20 M N ¥ N
15 E / MANAGER "0 M N ¥ N
f15 E/ MANAGER f2s M M ¥ N
| [s0 D/ JUNIOR MANAGER 30 M N ¥ N
52 D/ PI5 MANAGER 25 M N Y N
54 C/ PIS JR. MANAGER "0 M N ¥ N
55 C / SENIOR STAFF M35 ¥ ¥ ¥ ¥
50 B/ STAFF fas ¥ ¥ ¥ ¥
65 A/ JUNIOR STAFF fa5 ¥ ¥ ¥ ¥
70 CONSLITANT "an M H N M

Harusnya saat mengajukan insentif pada hari libur atau lembur di hari kerja dan libur untuk grade dan class tersebut tidak bisa karena dia hanya
boleh mengajukan insentif saja pada hari kerja. Tetapi saat ini masih membaca validasi "overtime harus di dalam range attendance dan 30 menit
setelah waktu kerja berakhir".

o overtime harus di dalam range attendance dan 30 menit setelah waktu kerja berakhir

Employee ID = 00001506

#5 - 03/10/2023 07:53 AM - M Azid Wahyudi
- Status changed from Assigned to Revise

- Assignee changed from M Azid Wahyudi to Johanes Christian Kurni

dear jo ,,
untuk ini udah bener querynya , hanya kata2 errornya untuk hari libur belom ada

tolong buat kan kata2 message errornya untuk hari libur

makasih

#6 - 03/10/2023 08:56 AM - Fachrul Hardianto
sudah di tambahkan Error message dengan MessagelD "OTONHOLY"
Terimakasih
#7 - 03/10/2023 08:56 AM - Fachrul Hardianto

- Status changed from Revise to Assigned

- Assignee changed from Johanes Christian Kurni to M Azid Wahyudi

#8 - 03/10/2023 02:11 PM - M Azid Wahyudi
- File clipboard-202303101411-5wr1f.png added

dear jo dan bang fachrul , udah bisa di test penambahannya

ns Mo X Bug #2046: [ESS-Overtime] Auto X | @ beauty sql -

e | bws.minovaiscloud.com:

0 You are only allowed to apply for Incentives/Overtime on weekdays

makasih

#9 - 03/13/2023 08:08 AM - M Azid Wahyudi
- Assignee changed from M Azid Wahyudi to Johanes Christian Kurni

#10 - 03/13/2023 08:08 AM - M Azid Wahyudi
- Status changed from Assigned to QA Test

#11 - 03/13/2023 04:41 PM - Johanes Christian Kurni
- Status changed from QA Test to Assigned

- Assignee changed from Johanes Christian Kurni to M Azid Wahyudi

#12 - 03/13/2023 05:12 PM - M Azid Wahyudi
- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to Johanes Christian Kurni

#13 - 03/15/2023 03:53 PM - Johanes Christian Kurni
- Status changed from QA Test to Closed

Files

clipboard-202303061608-492yk.png 30.6 KB 03/06/2023 Johanes Christian Kurni
